#!/usr/bin/env -S node --no-warnings --loader ts-node/esm
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rxjs_1 = require("rxjs");
const tap_js_1 = require("./tap.js");
const test_scheduler_runner_js_1 = require("./test-scheduler-runner.js");
(0, tap_js_1.test)('RxJS testSchedulerRunner: throttleTime demo testing', (0, test_scheduler_runner_js_1.testSchedulerRunner)(helpers => {
    const time = 200;
    const operation = (0, rxjs_1.throttleTime)(time, undefined, { trailing: true });
    const actual = 'abcdef';
    const expected = '200ms f';
    helpers.expectObservable(helpers.cold(actual).pipe(operation)).toBe(expected);
}));
(0, tap_js_1.test)('RxJS testSchedulerRunner: fail with event number mismatch', async (t) => {
    await t.rejects((0, test_scheduler_runner_js_1.testSchedulerRunner)(helpers => {
        const actual = '-';
        const expected = '-x';
        helpers.expectObservable(helpers.hot(actual)).toBe(expected);
    }), 'should reject when the actual & expected event number is not match');
});
(0, tap_js_1.test)('RxJS testSchedulerRunner: fail with 0 events', async (t) => {
    await t.rejects((0, test_scheduler_runner_js_1.testSchedulerRunner)(helpers => {
        const actual = '-';
        const expected = '-';
        helpers.expectObservable(helpers.hot(actual)).toBe(expected);
    }), 'should reject when there is no events in the stream');
});
//# sourceMappingURL=test-scheduler-runner.spec.js.map